JOSM(1)

NAME
josm - Java OpenStreetMap Editor

SYNOPSIS
josm-latest

DESCRIPTION
JOSM is an editor for OpenStreetMap written in Java 8.

OpenStreetMap is a project aimed squarely at creating and providing free geographic data such as street maps to anyone who wants them. It allows you to view, edit and use geographical data in a collaborative way from anywhere on earth. The project was started because most maps you think of as free actually have legal or technical restrictions on their use, holding back people from using them in creative, productive or unexpected ways.

OPTIONS

-h, -?, --help
    Show help

--geometry=<width>x<height>(+|-)x(+|-)y
    Standard X geometry argument

[--download=]minlat,minlon,maxlat,maxlon
    Download the bounding box

[--download=]<url>
    Download the location at the url (with lat=x&lon=y&zoom=z)

[--download=]<filename>
    Open file (any file type that can be opened with File/Open)

--downloadgps=minlat,minlon,maxlat,maxlon
    Download the bounding box as raw gps

--selection=<searchstring>
    Select with the given search

--[no-]maximize
    Do [not] launch in maximized mode

--reset-preferences
    Reset the preferences to the default

--load-preferences=<url-to-xml>
    Change preferences according to the XML file

--set=<key>=<value>
    Set preference key to value

--language=<language>
    Set the language

--version
    Display the JOSM version

--status-report
    Show status report with useful information that can be attached to bugs

--debug
    Print debugging messages to console

--offline=<OSM_API|JOSM_WEBSITE|CACHE_UPDATES|CERTIFICATES|ALL>
    Disable access to the given resource(s), separated by comma

FILES
JOSM files are saved according to the XDG Base Directory Specification:

$HOME/.config/JOSM-latest
    Preferences

$HOME/.local/share/JOSM-latest
    User data

$HOME/.cache/JOSM-latest
    Cache

If the directory $HOME/.josm-latest exists, all files are stored there.

JAVA PROPERTIES
The following options can be set by using Java system properties (i.e. -Dkey=value passed to java, or specified inside JAVA_OPTS).

josm.pref=<path>
    Set the JOSM preferences directory.

josm.userdata=<path>
    Set the JOSM user data directory.

josm.cache=<path>
    Set the JOSM cache directory.

josm.home=<homedir>
    Relocate all 3 directories to homedir. Cache directory will be in <homedir>/cache.

josm.dir.name=<JOSM-latest>
    Change the JOSM directory name.

ENVIRONMENT

JAVA_HOME
    Specify an alternate Java environment.

JAVA_OPTS
    Specify Java options. For example, to use a HTTP proxy server with this program, set this environment variable to something like JAVA_OPTS="-Dhttp.proxyHost=yourProxyURL" before starting josm.

AUTHOR
JOSM was originally designed and coded by Immanuel Scholz, and is now maintained by the OpenStreetMap community.

The current JOSM maintainer is Dirk Stöcker. A lot of administration work is done by Paul Hartmann and Vincent Privat.

Major code contributions from (in alphabetical order):

Stefan Breunig David Earl Gabriel Ebner Dave Hansen Paul Hartmann Karl Guggisberg Matthias Julius Alexei Kasatkin Jiri Klement Ulf Lamping Simon Legner Raphael Mack Upliner Mikhalych Vincent Privat Frederik Ramm Dirk Stöcker

Many minor contributions and patches by others; see SVN history at https://josm.openstreetmap.de/svn/ for details. Use "josm-dev AT openstreetmap.org" to contact still active authors. The logo has been designed by Ilya Palikov.

This manual page was initially written by Andreas Putzo <andreas@putzo.net>, for the Debian project (but may be used by others).